package w83a.w83aManager;

import java.util.HashMap;

import w83a.w83aBeans.W83aDocBean;
import w83a.w83aBeans.W83aPreavisosBean;
import w83a.w83aBeans.W83aUsuarioXLNetsBean;
import w83a.w83aDAO.W83aFactoriaDAO;

public class W83aPreavisos implements W83aIPreavisos{

	public W83aPreavisosBean obtenerDetallesPreaviso(HashMap param)
			throws Exception {
		
		String pestania=(String)param.get("pestania");
		if ("0".equals(pestania))
		{
			//datos basicos
			W83aFactoriaDAO.getPreavisosDAO().insertarHistorialTramitacion((String)param.get("codSelec"),((W83aUsuarioXLNetsBean)param.get("user")).getIdUsuario().toUpperCase());
			W83aPreavisosBean beanPreaviso = W83aFactoriaDAO.getPreavisosDAO().obtenerDatosBasicosPreaviso((String)param.get("codSelec"),(String)param.get("strIdioma"));			
			
			String provincia=W83aFactoriaDAO.getActaDAO().obtenerTerritorio(beanPreaviso.getCentroTrabajo().getCodTerritorio());
			String municipio=W83aFactoriaDAO.getActaDAO().obtenerMunicipio(beanPreaviso.getCentroTrabajo().getCodTerritorio(),beanPreaviso.getCentroTrabajo().getCodMunicipio());
			
			beanPreaviso.getCentroTrabajo().setTerritorio(provincia);
			beanPreaviso.getCentroTrabajo().setMunicipio(municipio);
			
			beanPreaviso = W83aFactoriaDAO.getPreavisosDAO().obtenerRegDefinitivoActaPreaviso(beanPreaviso);
			return beanPreaviso;

		}
		else
			if ("1".equals(pestania))
			{
				//Preaviso original
				return W83aFactoriaDAO.getPreavisosDAO().obtenerPreavisoOriginal((String)param.get("codSelec"),(String)param.get("strIdioma"));
			}
			else
				if ("2".equals(pestania))
				{
					//Docs adjuntos
					return W83aFactoriaDAO.getPreavisosDAO().obtenerDocsPreaviso((String)param.get("codSelec"),(String)param.get("strIdioma"));
				}
				else
					if ("3".equals(pestania))
					{
						//Impugnaciones y laudos
						return W83aFactoriaDAO.getPreavisosDAO().obtenerImpugnacionesPreaviso((String)param.get("codSelec"),(String)param.get("sidx"),(String)param.get("sord"),(String)param.get("strIdioma"));
					}
					
		return null;
	}

	public W83aDocBean descargarDocumento(String param) throws Exception {

		return W83aFactoriaDAO.getPreavisosDAO().descargarDocumento(param);
	}
}
